From 423f71247294799c10960ec3be37a2544526f912 Mon Sep 17 00:00:00 2001
From: Olivier Hainque <hainque@adacore.com>
Date: Thu, 10 Mar 2022 10:53:27 +0000
Subject: [PATCH 06/18] Comment about HAVE_INITFINI_ARRAY_SUPPORT in vxworks.h

Explain that we rely on compiler .c files
including auto-host.h before target configuration headers.
---
 gcc/config/vxworks.h | 5 +++++
 1 file changed, 5 insertions(+)

diff --git a/gcc/config/vxworks.h b/gcc/config/vxworks.h
index c18a0f65529..f2103def448 100644
--- a/gcc/config/vxworks.h
+++ b/gcc/config/vxworks.h
@@ -19,6 +19,11 @@ You should have received a copy of the GNU General Public License
 along with GCC; see the file COPYING3.  If not see
 <http://www.gnu.org/licenses/>.  */
 
+/* ??? We use HAVE_INITFINI_ARRAY_SUPPORT in preprocessor guards in this
+   header, which is conveyed by auto-host.h despite being a target property.
+   #include auto-host.h here would trigger lots of conflicts so we rely on
+   compiler .c files doing this before target configuration headers.  */
+
 /* Assert that we are targeting VxWorks.  */
 #undef TARGET_VXWORKS
 #define TARGET_VXWORKS 1
-- 
2.25.1

